import { world } from "@minecraft/server";

let overworld = world.getDimension("overworld");

world.events.playerJoin.subscribe((eventData) => {
  const { player } = eventData;
  player.runCommand(`scoreboard objectives add secondOne dummy`);
  player.runCommand(`scoreboard objectives add secondTwo dummy`);
  player.runCommand(`scoreboard objectives add minuteOne dummy`);
  player.runCommand(`scoreboard objectives add minuteTwo dummy`);
  player.runCommand(`scoreboard objectives add hourOne dummy`);
  player.runCommand(`scoreboard objectives add hourTwo dummy`);
});

world.events.tick.subscribe(() => {
  overworld.runCommand(`function time`);
});
